xbmtobdf(1)

NAME
xbmtobdf - convert several xbm bitmaps into a bdf font file

SYNOPSIS
xbmtobdf [ -f mapfile ] [ -b bitmaplist ] [ -size fontsize ] [ -name fontname ] [ - ] [ bitmaps ]

DESCRIPTION
xbmtobdf is used to put a lot of X11 bitmaps into one bdf font file.

OPTIONS
-f mapfile

    mapfile is used to find the correspondence between the bitmap's filename and where to put it in the font. A line in the mapfile begins with a character, then follows a TAB and a filename. The line can also begin with '\' followed by a decimal number, a TAB and a filename. Lastly, comment lines begin with a '#'. Example mapfile: # Just a small comment

    32    space.xbm

    A    latin.capital.letter.a.xbm

    If no mapfile is specified, xbmtobdf will try to use the first character in the filename for the character in the font.

-b bitmaplist

    bitmaplist is the list of bitmaps which should be included in the font. It should be equivalent to xbmtobdf options ` cat bitmaplist ` However, due to limitations in the shell, the -b switch may be needed when there are many bitmaps. The special filename "-" means read the bitmap list from stdin.

-size fontsize

    Each character in the font will be this size. fontsize should be the height of the bitmap.

-name fontname

    Use this switch if your font should be named something other than crossfire.

-

    This option is used to prevent further argument parsing.

SEE ALSO
xfed(1), bdftopcf(1) and "Bitmap Distribution Format 2.1"

BUGS
It is assumed that the bitmaps are square and all of one size, and that the size is a multiple of 8.

AUTHOR
Kjetil T. Homme <kjetilho@ifi.uio.no>